Bug Hunting Session
Bug 124997 - Columns don't have vertical gridlines after column 64
Summary: Columns don't have vertical gridlines after column 64
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-27 08:57 UTC by Mike Kaganski
Modified: 2019-05-07 17:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Absent vertical gridlines (52.03 KB, image/png)
2019-04-27 08:57 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-04-27 08:57:22 UTC
Created attachment 151036 [details]
Absent vertical gridlines

In a recent master (after commit 7282014e362a1529a36c88eb308df8ed359c2cfa), create a new spreadsheet, and scroll right (using scrollbar!) after column BM.

The columns don't have vertical gridlines, like on attached screenshot.

Tested with Version: 6.3.0.0.alpha0+ (x64)
Build ID: 1b794249c8fbceac599525f53914b8b3463ff4e3
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 1 Mike Kaganski 2019-04-27 09:05:24 UTC
https://gerrit.libreoffice.org/71408
Comment 2 Commit Notification 2019-04-27 11:19:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3bf32679971804ade8e85f0e8023dc3b127cc3dc%5E%21

tdf#124997: only skip parsing non-empty cells for unallocated columns

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2019-05-07 17:38:57 UTC
It's ok on 6.3 on Linux

Version: 6.3.0.0.alpha0+
Build ID: 96ab20756316b25b7f2343a15596bc5114ea5a68
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-02_14:29:16
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded